svn commit: r481327 - head/Mk/Scripts

Antoine Brodin antoine at FreeBSD.org
Sat Oct 6 08:19:20 UTC 2018


Author: antoine
Date: Sat Oct  6 08:19:19 2018
New Revision: 481327
URL: https://svnweb.freebsd.org/changeset/ports/481327

Log:
  Use full path to file(1) from base as sysutils/file is buggy
  
  PR:		231554

Modified:
  head/Mk/Scripts/find-lib.sh

Modified: head/Mk/Scripts/find-lib.sh
==============================================================================
--- head/Mk/Scripts/find-lib.sh	Sat Oct  6 07:33:02 2018	(r481326)
+++ head/Mk/Scripts/find-lib.sh	Sat Oct  6 08:19:19 2018	(r481327)
@@ -27,7 +27,7 @@ dirs="${LIB_DIRS} $(cat ${LOCALBASE}/libdata/ldconfig/
 for libdir in ${dirs} ; do
 	test -f ${libdir}/${lib} || continue
 	libfile=${libdir}/${lib}
-	[ "$(file -b -L --mime-type ${libfile})" = "application/x-sharedlib" ] || continue
+	[ "$(/usr/bin/file -b -L --mime-type ${libfile})" = "application/x-sharedlib" ] || continue
 	echo $libfile
 	break
 done


More information about the svn-ports-head mailing list